cURL
curl --request PATCH \
--url https://api.buildpass.global/builders/{builderId}/meetings/{meetingId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "Concrete Pour Planning"
}
'import requests
url = "https://api.buildpass.global/builders/{builderId}/meetings/{meetingId}"
payload = { "title": "Concrete Pour Planning" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({title: 'Concrete Pour Planning'})
};
fetch('https://api.buildpass.global/builders/{builderId}/meetings/{meetingId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "extapitoolboxmeeting01",
"builderId": "buil_clgbsb90b001qjy0f0eo1hspp",
"projectId": "proj_clgbsb90b001qjy0f0eo1hscp",
"title": "Concrete Pour Planning",
"name": "Concrete Pour Planning",
"date": "2026-01-15T09:00:00.000Z",
"status": "RUNNING",
"agenda": "External API integration test agenda",
"meetingTitle": "External API seeded meeting",
"notes": "Seeded meeting for External API integration tests",
"updatedAt": "2026-01-15T09:00:00.000Z"
}{
"errors": [
{
"fieldName": "name",
"message": "This field is required."
}
]
}Meetings
Update meeting
Update a meeting
PATCH
/
builders
/
{builderId}
/
meetings
/
{meetingId}
cURL
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Example:
"buil_clgbsb90b001qjy0f0eo1hspp"
Example:
"extapitoolboxmeeting01"
Body
application/json
Meeting title (trimmed). Must be non-empty after trimming and no more than 160 characters.
Required string length:
1 - 160Pattern:
^(?!\s*$).+Example:
"Concrete Pour Planning"
Response
Updated meeting
Example:
"extapitoolboxmeeting01"
Example:
"buil_clgbsb90b001qjy0f0eo1hspp"
Example:
"proj_clgbsb90b001qjy0f0eo1hscp"
Example:
"Concrete Pour Planning"
Example:
"Concrete Pour Planning"
Example:
"2026-01-15T09:00:00.000Z"
Available options:
DRAFT, DISTRIBUTED, RUNNING, COMPLETED Example:
"RUNNING"
Example:
"External API integration test agenda"
Example:
"External API seeded meeting"
Example:
"Seeded meeting for External API integration tests"
Example:
"2026-01-15T09:00:00.000Z"